<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

    <xsl:template match="extraitthesaurus">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="." mode="MODE_INLINE">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="motcle">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="." mode="MODE_LABEL">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="motcle" mode="MODE_BLOCK">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="motcle" mode="MODE_LISTITEM">
            <xsl:with-param name="PARAM_CLASS" select="$PARAM_CLASS"/>
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="' ; '"/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="motcle" mode="MODE_INLINE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_CODE">
        <xsl:param name="PARAM_SEP" select="'; '"/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="motcle" mode="MODE_CODE">
            <xsl:with-param name="PARAM_SEP" select="$PARAM_SEP"/>
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_BLOCK">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <p class="{$PARAM_CLASS}">
            <xsl:apply-templates select="." mode="MODE_LABEL">
                <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
            </xsl:apply-templates>
        </p>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_LISTITEM">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <li>
            <p class="{$PARAM_CLASS}">
                <xsl:apply-templates select="." mode="MODE_LABEL">
                    <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
                </xsl:apply-templates>
            </p>
        </li>
    </xsl:template>
    
    <xsl:template match="motcle" mode="MODE_LISTITEM_TEXTONLY">
        <xsl:param name="PARAM_CLASS" select=""/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <li>
            <p class="{$PARAM_CLASS}">
                <xsl:apply-templates select="." mode="MODE_TEXT">
                    <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
                </xsl:apply-templates>
            </p>
        </li>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_INLINE">
        <xsl:param name="PARAM_SEP" select="' ; '"/>
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:if test="position() &gt; 1"><xsl:value-of select="$PARAM_SEP"/></xsl:if>
        <xsl:apply-templates select="." mode="MODE_LABEL">
                <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
            </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_CODE">
        <xsl:param name="PARAM_SEP" select="'; '"/>
        <xsl:if test="position() &gt; 1"><xsl:value-of select="$PARAM_SEP"/></xsl:if>
        <xsl:choose>
            <xsl:when test="@idalpha"><xsl:value-of select="@idalpha"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="@id"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="motcle" mode="MODE_LABEL">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="." mode="MODE_TEXT">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>
    
    <xsl:template match="motcle[@url]" mode="MODE_LABEL">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <a href="{@url}" rel="external" target="_blank">
            <xsl:apply-templates select="." mode="MODE_TEXT">
                <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
            </xsl:apply-templates>
        </a>
    </xsl:template>
    
    <xsl:template match="motcle[satellite]" mode="MODE_LABEL">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:variable name="var_Satellite">
            <xsl:choose>
                <xsl:when test="satellite[@lang = $PARAM_LANG]"><xsl:value-of select="satellite[@lang = $PARAM_LANG]/@corpus"/></xsl:when>
                <xsl:when test="satellite[@xml:lang = substring-before($PARAM_LANG, '-')]"><xsl:value-of select="satellite[@lang = substring-before($PARAM_LANG, '-')]/@corpus"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="satellite[1]/@corpus"/></xsl:otherwise>
            </xsl:choose>
        </xsl:variable>
        <a>
            <xsl:attribute name="href">
                <xsl:call-template name="TEMPLATE_FICHEURL">
                    <xsl:with-param name="PARAM_CORPUS" select="$var_Satellite"/>
                    <xsl:with-param name="PARAM_ID" select="@id"/>
                    <xsl:with-param name="PARAM_IDALPHA" select="@idalpha"/>
                </xsl:call-template>
            </xsl:attribute>
            <xsl:apply-templates select="." mode="MODE_TEXT">
                <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
            </xsl:apply-templates>
        </a>
    </xsl:template>
    
    <xsl:template match="motcle" mode="MODE_TEXT">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:if test="intitule">
            <xsl:apply-templates select="intitule" mode="MODE_LABEL">
                <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
            </xsl:apply-templates>
            <xsl:text> – </xsl:text>
        </xsl:if>
        <xsl:if test="boolean(@idalpha = true())">
            <xsl:choose>
                <xsl:when test="@style = 'brackets'">[<xsl:value-of select="@idalpha"/>]<xsl:text> </xsl:text></xsl:when>
                <xsl:otherwise><xsl:value-of select="@idalpha"/><xsl:text> – </xsl:text></xsl:otherwise>
            </xsl:choose>
        </xsl:if>
        <xsl:apply-templates select="." mode="MODE_LANGLABEL">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>
    

    <xsl:template match="motcle" mode="MODE_LANGLABEL">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:choose>
            <xsl:when test="label[@xml:lang = $PARAM_LANG]"><xsl:value-of select="label[@xml:lang = $PARAM_LANG]"/></xsl:when>
            <xsl:when test="label[@xml:lang = substring-before($PARAM_LANG, '-')]"><xsl:value-of select="label[@xml:lang = substring-before($PARAM_LANG, '-')]"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="label[1]"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>